Function
beginPosition
Return the clipping begin position as a source position.
TPosition beginPosition(gaps)
Include Headers
seqan/align.h
Parameters

gaps | The Gaps object to query. Types: Gaps

Return Values
The begin position of the current clipped view in the source.
Types: Position
Member of
Gaps
Examples
In the following gaps configuration, the result of beginPosition(gaps) is 1. The clipping starts in a gap and the source position of the first non-gap character right of the clipping begin has source position 1.
clipping [ )
(half-open interval)
gapped sequence: X--XXX-XX-
source position: 0111234456
unclipped view position: 0123456789
clipped view position: 0123456
See Also
setEndPosition, clippedEndPosition, setClippedEndPosition, endPosition, clippedBeginPosition, setClippedBeginPosition, setBeginPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57